<?php
// "Les derniers articles" "Les dernières pages" Jean-Denis https://adhoc.71site.fr 2023 dernière révision janvier 2024
// basé sur le script pages/index.php (CMS adHoc https://www.cmsadhoc.net/ )
// modifié et adapté pour s'intégrer dans une boîte adHoc moyennant un fork du fichier modules/boxes/lateral.inc
// PARTIE Variables (l'autre partie se nomme data/boxes/special/codederniers.php)
// cette PARTIE est à modifier et à renommer data/boxes/special/boxe_XX.php en fonction du numéro de la boîte prévue
// Licence: GNU-GPL V3

// Variables à régler
$derciblelien = 'target="_top"'; // ou _blank pour ouvrir les liens dans une autre fenêtre, ou... 
$nbchoix = 5; // nombre de pages choisies à l'affichage
$coum = 4; // date création : 3 ou date dernière modification : 4
$derafftitre = 'oui'; // afficher le titre = 'oui' sinon 'non'
$deraffcat = 'oui'; // afficher les noms de catégories = 'oui' sinon 'non'
$derinfonewup = 'oui'; // marquer les nouveautés ou mises à jour = 'oui' sinon 'non'
$dernewup = 'texte'; // nouveautés ou mises à jour : texte = 'texte' sinon ... 'image'

// Exclusion de certaines pages si nécessaire
$derpagesexclues = array("004", "005", "068"); // liste des numéros de pages à exclure sans limitation de nombre
$catinterdite = array("3", "11"); // liste "Id" catégories à exclure sans limitation de nombre
// Mettre au minimum $pagesexclues = array(); $catinterdite = array(); si pas d'exclusion

// Définition des variables de langue
if (USER_LANG == 'fr') { // français
	$dermessage3 = 'Les '.$nbchoix.' dernières créations';
	$dermessage4 = 'Les '.$nbchoix.' dernières modifications';
}
elseif (USER_LANG == 'it') { // italien
	$dermessage3 = 'Le ultime '.$nbchoix.' creazioni';
	$dermessage4 = 'Le ultime '.$nbchoix.' modifiche';
}
elseif (USER_LANG == 'en') { // anglais
	$dermessage3 = 'The last '.$nbchoix.' creations';
	$dermessage4 = 'The last '.$nbchoix.' modifications';
}

// Styles et habillages supplémentaires éventuels à ajuster
	// titre : adapter ou remplacer par $stylesup1 = ''; pour ne rien mettre 
$derstylesup1 = 'style="text-align:center;font-size: 120%;font-weight: bold;color:#A7272E;"';

	// catégorie : adapter ou remplacer par $stylesup2 = ''; pour ne rien mettre
$derstylesup2 = 'style="padding-left:20px;font-size: 100%;font-weight: bold;"';

	// article : adapter ou remplacer par $stylesup3 = ''; pour ne rien mettre
$derstylesup3 = 'style="padding-left:10px;font-size: 80%;font-weight: bold;"';

	// image ou dermessage new ou update : adapter ou remplacer par $stylesupnew = ''; $stylesupupd = ''; pour ne rien mettre
$derstylesupnew = 'style="float:none;color:#d6af84;"';
$derstylesupupd = 'style="float:none;color:#FFF;"';

	// ces 2 images sont celles du dossier modules/pages/img/ ...
	// ... modifier les noms pour les vôtres, les placer dans le même dossier
$derimageNew = 'nw.gif';
$derimageUpdate = 'upd.gif';

include(PATH_DAT."boxes/special/codederniers.php"); 

?>


