<?php
// "Un article / Une page au hasard" Jean-Denis https://adhoc.71site.fr 2023 dernière révision janvier 2024
// basé sur le script pages/index.php (CMS adHoc https://www.cmsadhoc.net/ )
// modifié et adapté pour s'intégrer dans une boîte adHoc moyennant un fork du fichier modules/boxes/lateral.inc
// PARTIE Variables (l'autre partie se nomme data/boxes/special/codehasard.php)
// cette PARTIE est à modifier et à renommer data/boxes/special/boxe_XX.php en fonction du numéro de la boîte prévue
// Licence: GNU-GPL V3

// Variables à régler
$hasciblelien = 'target="_top"'; // ou _blank pour ouvrir les liens dans une autre fenêtre, ou... 
$hasafftitre = 'oui'; // afficher le titre = 'oui' sinon 'non'
$hasaffcat = 'oui'; // afficher les noms de catégories = 'oui' sinon 'non'
$haslignecat_art = 'oui'; // afficher ensemble (catégorie / article) sur la même ligne = 'oui' sinon 'non'
$hasinfonewup = 'oui'; // marquer les nouveautés ou mises à jour = 'oui' sinon 'non'
$hasnewup = 'texte'; // nouveautés ou mises à jour : texte = 'texte' sinon ... 'image'

// Exclusion de certaines pages si nécessaire
$haspagesexclues = array("004", "005", "068"); // liste des numéros de pages à exclure sans limitation de nombre
$catinterdite = array("3", "11"); // liste "Id" catégories à exclure sans limitation de nombre
// Mettre au minimum $pagesexclues = array(); $catinterdite = array(); si pas d'exclusion

// Définition des variables de langue
if (USER_LANG == 'fr') { // français
	$hasmessage = 'Un article au hasard ?';
}
elseif (USER_LANG == 'it') { // italien
	$hasmessage = 'Un articolo a caso ?';
}
elseif (USER_LANG == 'en') { // anglais
	$hasmessage = 'A random article ?';
}

// Styles et habillages supplémentaires éventuels à ajuster
	// titre : adapter ou remplacer par $stylesup0 = ''; pour ne rien mettre 
$hasstylesup0 = 'style="text-align:center;font-size: 120%;font-weight: bold;color:#A7272E;"';

	// ensemble (catégorie / article) : adapter ou remplacer par $stylesup1 = ''; pour ne rien mettre 
$hasstylesup1 = 'style="text-align:center;"';

	// catégorie : adapter ou remplacer par $stylesup2 = ''; pour ne rien mettre
$hasstylesup2 = 'style="padding: 0 5px;font-size: 100%;font-weight: bold;"';

	// article : adapter ou remplacer par $stylesup3 = ''; pour ne rien mettre
$hasstylesup3 = 'style="padding: 0 5px;font-size: 80%;font-weight: bold;"';

	// image ou message new ou update : adapter ou remplacer par $stylesupnew = ''; $stylesupupd = ''; pour ne rien mettre
$hasstylesupnew = 'style="float:none;color:#d6af84;"';
$hasstylesupupd = 'style="float:none;color:#FFF;"';

	// ces 2 images sont celles du dossier modules/pages/img/ ...
	// ... modifier les noms pour les vôtres, les placer dans le même dossier
$hasimageNew = 'nw.gif';
$hasimageUpdate = 'upd.gif';

include(PATH_DAT."boxes/special/codehasard.php"); 

?>


